package com.ejie.ab79.model.expedientes;

/**
 * Sexo  
 * 
 *  
 */
public class Sexo implements java.io.Serializable {

	private static final long serialVersionUID = 1L;
	private Long idSexo;
	private String descripcionCastellano;
	private String descripcionEuskera;
	private String usuarioRegistro;

	/**
	 * Method 'Sexo'.
	 * 
	 **/
	public Sexo() {

	}

	/**
	 * Method 'Sexo'.
	 * 
	 * @param idSexo
	 *            Long
	 * @param descripcionCastellano
	 *            String
	 * @param descripcionEuskera
	 *            String
	 *
	 */
	public Sexo(Long idSexo, String descripcionCastellano, String descripcionEuskera) {
		// super();
		this.idSexo = idSexo;
		this.descripcionCastellano = descripcionCastellano;
		this.descripcionEuskera = descripcionEuskera;
	}

	public Sexo(Long idSexo) {
		super();
		this.idSexo = idSexo;

	}

	/**
	 * Method 'Sexo'.
	 * 
	 * @param idSexo
	 *            Long
	 * @param descripcionCastellano
	 *            String
	 * @param descripcionEuskera
	 *            String
	 * @param fechaRegistro
	 *            Date
	 * @param usuarioRegistro
	 *            String
	 *
	 */

	public Sexo(Long idSexo, String descripcionCastellano, String descripcionEuskera, String usuarioRegistro) {
		super();
		this.idSexo = idSexo;
		this.descripcionCastellano = descripcionCastellano;
		this.descripcionEuskera = descripcionEuskera;
		this.usuarioRegistro = usuarioRegistro;

	}

	/**
	 * Method 'getIdSexo'.
	 *
	 * @return Long
	 */
	public Long getIdSexo() {
		return idSexo;
	}

	/**
	 * Method 'setIdSexo'.
	 *
	 * @param idSexo
	 *            Long
	 * @return
	 */

	public void setIdSexo(Long idSexo) {
		this.idSexo = idSexo;
	}

	/**
	 * Method 'getDescripcionCastellano'.
	 *
	 * @return String
	 */

	public String getDescripcionCastellano() {
		return descripcionCastellano;
	}

	/**
	 * Method 'setDescripcionCastellano'.
	 *
	 * @param descripcionCastellano
	 *            String
	 * @return
	 */
	public void setDescripcionCastellano(String descripcionCastellano) {
		this.descripcionCastellano = descripcionCastellano;
	}

	/**
	 * Method 'getDescripcionEuskera'.
	 *
	 * @return String
	 */

	public String getDescripcionEuskera() {
		return descripcionEuskera;
	}

	/**
	 * Method 'setDescripcionEuskera'.
	 *
	 * @param descripcionEuskera
	 *            String
	 * @return
	 */

	public void setDescripcionEuskera(String descripcionEuskera) {
		this.descripcionEuskera = descripcionEuskera;
	}

	/**
	 * Method 'getUsuarioRegistro'.
	 *
	 * @return String
	 */

	public String getUsuarioRegistro() {
		return usuarioRegistro;
	}

	/**
	 * Method 'setUsuarioRegistro'.
	 *
	 * @param usuarioRegistro
	 *            String
	 * @return
	 */

	public void setUsuarioRegistro(String usuarioRegistro) {
		this.usuarioRegistro = usuarioRegistro;
	}

	/**
	 * Intended only for logging and debugging.
	 * 
	 * Here, the contents of every main field are placed into the result.
	 * 
	 * @return String
	 */
	@Override
	public String toString() {
		StringBuilder result = new StringBuilder();
		result.append(this.getClass().getName()).append(" Object { ");
		result.append(" [ idSexo: ").append(this.idSexo).append(" ]");
		result.append(", [ descripcionCastellano: ").append(this.descripcionCastellano).append(" ]");
		result.append(", [ descripcionEuskera: ").append(this.descripcionEuskera).append(" ]");
		result.append(", [ usuarioRegistro: ").append(this.usuarioRegistro).append(" ]");
		result.append("}");
		return result.toString();
	}

}
